FreshPorts -- The Place For Ports If you buy from Amazon USA, please support us by using this link.
Follow us
Blog
Twitter

I am looking for an LTO tape library. Do you have one to spare?
Port details
subversion-freebsd 1.6.17_4 devel Deleted on this many watch lists=9 search for ports that depend on this port An older version of this port was marked as vulnerable.
Version control system
Was Maintained by: lev@FreeBSD.org search for ports maintained by this maintainer
Port Added: 01 Jun 2008 00:26:34
License: not specified in port


Subversion is a version control system designed to be as similar to cvs(1) 
as possible, while fixing many outstanding problems with cvs(1).

This version adds patches that at this time are specific to the needs of
the FreeBSD Project src repository.  If you do not need to access that
repository you will want to use devel/subversion.

WWW: http://subversion.tigris.org/
SVNWeb : Main Web Site : Distfiles Availability : PortsMon
Master port: devel/subversion

NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.

Required To Build:
  1. devel/libtool
Required Libraries:
  1. databases/sqlite3
  2. www/neon29
  3. devel/apr1
  4. devel/gettext
  5. databases/db42
There are no ports dependent upon this port

No installation instructions: this port has been deleted.

The package name of this deleted port was: subversion-freebsd


Configuration Options
===> The following configuration options are available for subversion-freebsd-1.6.17_4:
     MOD_DAV_SVN=off (default) "mod_dav_svn module for Apache 2.X"
     MOD_DONTDOTHAT=off (default) "mod_dontdothat for Apache 2.X"
     NEON=on (default) "WebDAV/Delta-V repo access module (neon)"
     SERF=off (default) "WebDAV/Delta-V repo access module (serf)"
     SASL=off (default) "SASL2 authorization support"
     BDB=on (default) "Berkeley DB (4 or 5) repository backend"
     ASVN=off (default) "Build and install Archive SVN (asvn)"
     MAINTAINER_DEBUG=off (default) "Build debug version"
     SVNSERVE_WRAPPER=off (default) "Enable svnserve wrapper"
     SVNAUTHZ_VALIDATE=off (default) "install svnauthz-validate"
     STATIC=off (default) "Build static version (no shared libs)"
     GNOME_KEYRING=off (default) "Build with GNOME Keyring auth support"
     KDE_KWALLET=off (default) "Build with KDE KWallet auth support"
     BOOK=off (default) "Install the Subversion Book"
===> Use 'make config' to modify these settings

Master Sites:
  1. ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/subversion/
Notes from UPDATING
These upgrade notes are taken from /usr/ports/UPDATING
  • 2011-10-16
    Affects: users of devel/subversion, devel/subversion-freebsd,
             devel/p5-subversion, devel/py-subversion,
             devel/ruby-subversion and java/subversion-java and
             all dependand ports.
    Author: Lev Serebryakov <lev@FreeBSD.org>
    Reason: 
      Subversion was updated to version 1.7.0 and port was reworked.
    
      Now there is no "devel/subversion-freebsd" port. All FreeBSD-specific patches
      are incorporated into main subversion port as options, which are turned ON by
      default.
    
      These options are:
    
      P4_STYLE_MARKERS -- change conflict markers to P4 style,
                          established for FreeBSD projects.
                          This is not mandatory for working with
                          FreeBSD sources.
    
      ENHANCED_KEYWORD -- Support for custom keywords, like
                          $ FreeBSD $ in sources.
                          This is MANDATORY for working with
                          FreeBSD sources.
    
      FREEBSD_TEMPLATE -- Standard FreeBSD commit template.
                          It is RECOMMENDED for working with
                          FreeBSD sources.
    
      Also, subversion 1.7.0 changes the working copy format,
      and a working copy can not be shared between
      subversion 1.7.0 and 1.6.x. Please, think twice before
      upgrading.
    
      Additional the port "devel/subversion16" was created to
      support subversion 1.6.x. Subversion 1.7.x and 1.6.x
      can not be installed simultaneously!
    
      Binding ports can be built with Subversion 1.7.0 (Default)
      or with Subversion 1.6.x. To build bindings with subversion 1.6.x
      you should set variable WITH_SUBVERSION_VER to "16".
    
      There are several ways to upgrade, depending on what you used
      before and what you want to get after upgrade.
    
      (a) You use devel/subversion without FreeBSD patches and, maybe,
          some bindings. You want fresh'n'new subversion 1.7.0.
          Please, run:
    
      # cd /usr/ports/devel/subversion && make config
      <deselect first three options described above, if you want it>
      # portupgrade -r devel/subversion
        or
      # portmaster -R -r subversion-1.6
    
      (b) You use devel/subversion-freebsd and, maybe, some
          bindings. You want fresh'n'new subversion 1.7.0, again
          with FreeBSD patches.
          Please, run:
    
      # cd /usr/ports/devel/subversion && make config
      <make sure that first three options are selected>
      # portupgrade -o devel/subversion devel/subversion-freebsd
      # portupgrade -r devel/subversion
        or
      # portmaster -o devel/subversion devel/subversion-freebsd
      # portmaster -R -r subversion-1.7
    
      (c) You use devel/subversion without FreeBSD patches and, maybe,
          some bindings. You want good old subversion 1.6.x, again
          without again.
          Please, run:
    
      # cd /usr/ports/devel/subversion16 && make config
      <deselect first three options described above, if you want it>
      # portupgrade -o devel/subversion16 devel/subversion
      # portupgrade -m "WITH_SUBVERSION_VER=16" -r devel/subversion16
        or
      # portmaster -o devel/subversion16 devel/subversion
      # portmaster -m "WITH_SUBVERSION_VER=16" -R -r subversion-1.6
    
      (d) You use devel/subversion-freebsd and, maybe, some bindings.
          You want good old subversion 1.6.x, with FreeBSD patches.
          Please, run:
    
      # cd /usr/ports/devel/subversion16 && make config
      <make sure, that first three options are selected>
      # portupgrade -o devel/subversion16 devel/subversion-freebsd
      # portupgrade -m "WITH_SUBVERSION_VER=16" -r devel/subversion16
        or
      # portmaster -o devel/subversion16 devel/subversion-freebsd
      # portmaster -m "WITH_SUBVERSION_VER=16" -R -r subversion-1.6
    
    
Port Moves
  • port deleted on 2011-10-16
    REASON: Merged with devel/subversion

Number of commits found: 26

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
16 Oct 2011 14:31:47
Original commit files touched by this commit  1.6.17_4
lev search for other commits by this committer
  Update subversion to 1.7.0.

  Make FreeBSD patches to be port's options and remove separated port.

  Rename patches to more sane names.

  Add devel/subversion16 port, for people, who need old version.

  Mark ports, which could not be built with subversion 1.7.x, as
  conflicting with new subversion.
12 Sep 2011 23:17:33
Original commit files touched by this commit  1.6.17_4
gabor search for other commits by this committer
- Track dependencies after databases/gdbm update
20 Aug 2011 17:27:52
Original commit files touched by this commit  1.6.17_3
ohauer search for other commits by this committer
 - bump PORTREVISION from ports if USE_APACHE=13+ or 20+ is defined
11 Apr 2011 00:04:08
Original commit files touched by this commit  1.6.16_2
 This port version is marked as vulnerable.
avilla search for other commits by this committer
- Add dependency on kdebase4-runtime when KWallet support is built.
- Fix build with KDE_WALLET when KDE 3 is installed. [1]
- Bump PORTREVISION.

This completes my previous commit and fixes KDE_WALLET option.

PR:             156302 [1]
Submitted by:   Axel Gonzalez <loox@e-shell.net> [1]
Approved by:    lev (maintainer, implicit)
01 Apr 2011 15:19:58
Original commit files touched by this commit  1.6.16_1
 This port version is marked as vulnerable.
avilla search for other commits by this committer
- Fix plist when GNOME_KEYRING is on. [1]
- Add optional KDE KWallet support. [2]
- Bump PORTREVISION.

PR:             155395 [1]
                155419 [2]
Submitted by:   Raphael Kubo da Costa <kubito@gmail.com>
Approved by:    lev (maintainer timeout)
28 Oct 2010 21:00:21
Original commit files touched by this commit  1.6.13
 This port version is marked as vulnerable.
erwin search for other commits by this committer
Deprecate md5 in favour of sha256 checksums.  md5 checksums will no longer
be generated or checked, and will be silently ignored for now.  Also,
generalize the MD5_FILE macro to DISTINFO_FILO.

PR:             149657
Submitted by:   rene
Approved by:    portmgr
Tested on:      pointyhat i386 7-exp
13 Oct 2010 12:44:01
Original commit files touched by this commit  1.6.13
 This port version is marked as vulnerable.
lev search for other commits by this committer
  Update to latest version 1.6.13

PR:             ports/151183, ports/151184
30 Jul 2010 22:14:49
Original commit files touched by this commit  1.6.12_3
 This port version is marked as vulnerable.
mezz search for other commits by this committer
- Makes neon29 our default neon library. The neon 0.27.x to 0.29.x are API and
  ABI backwards compatible. It is unnecessary to have more than one same
  libraries (ie: neon28 and neon29) as it creates issue in our ports tree such
  as CONFLICTS and made our Makefile complicate.
- Remove www/neonpp and www/neon28.
- Add USE_GNOME=ltverhack; it corrects the shared library version by change
  from libneon.so.29 to libneon.so.27. It won't get bump again with no reason
  unless ABI changes.
- Bump the PORTREVISION on all ports and chase the shared library change.
- Add info in the UPDATING for how to rebuild on all ports that depend on
  neon.

PR:             ports/148295
Approved by:    lev (maintainer timeout, no respone for months),
                portmgr
Tested by:      pointyhat-exp by pav
27 May 2010 23:58:12
Original commit files touched by this commit  1.6.11_2
 This port version is marked as vulnerable.
obrien search for other commits by this committer
Some ports have a rather hardcoded dependency on Subversion and specifically
devel/subversion (vs. devel/subversion-freebsd).
So combine the two - allowing one to build just "subversion" to satisfy
dependencies but with the FreeBSD hacks.

I have not done this via an OPTION as I do not know if we want to expose
"Build with FreeBSD hacks" to all the users of the Subversion port.  Instead
it keys off of 'WITH_FREEBSD_SUBVERSION'.  If putting this in OPTIONS is the
better approach I can follow up and do that.

Approved by:    maintainer timeout
18 May 2010 04:08:06
Original commit files touched by this commit  1.6.11_2
 This port version is marked as vulnerable.
pgollucci search for other commits by this committer
- Chase devel/apr -> devel/apr1 shuffling

PR:             ports/146553
Submitted by:   myself (pgollucci@)
With Hat:       apache@
05 May 2010 21:52:39
Original commit files touched by this commit  1.6.11_1
 This port version is marked as vulnerable.
pgollucci search for other commits by this committer
4/5: Chase devel/apr shlib bump

PR:             ports/146130
Approved by:    portmgr (pav)
Tested by:      -exp run (pav)
With Hat:       apache@
11 May 2009 14:38:33
Original commit files touched by this commit  1.6.2
 This port version is marked as vulnerable.
lev search for other commits by this committer
  Update to 1.6.2
01 May 2009 18:30:46
Original commit files touched by this commit  1.6.1_2
 This port version is marked as vulnerable.
lev search for other commits by this committer
  Fix FreeBSD hacks finally

PR:             ports/134133
30 Apr 2009 07:42:50
Original commit files touched by this commit  1.6.1_1
 This port version is marked as vulnerable.
lev search for other commits by this committer
  Fix FreeBSD hacks not to crash on memory deallocation.

PR:             ports/134091
Submitted by:   Giorgos Keramidas <keramida@freebsd.org>
06 Apr 2009 17:06:34
Original commit files touched by this commit  1.6.0_2
 This port version is marked as vulnerable.
lev search for other commits by this committer
  (1) Put svn_hacks-1.2.diff to local-distfiles
  (2) Add optional module mod_dontdothat
  (3) Fix order of apache module loading
  (4) Make deinstall script much mor robust, it should not trash Apache config
      in case of various errors.

PR:             ports/133366 [2]
Submitted by:   Many users [1], olli hauer <ohauer@gmx.de> [2], Dag-Erling
Smorgrav <des@des.no> [3]
03 Apr 2009 18:17:21
Original commit files touched by this commit  1.6.0
 This port version is marked as vulnerable.
lev search for other commits by this committer
  Update to version 1.6.0.
  Many new cool features, new WC version (autougrade), new repo version (NO
AUTOUPGRADE)
  Read svn original documentation, please!
07 Jul 2008 10:37:56
Original commit files touched by this commit  1.5.0_2
 This port version is marked as vulnerable.
lev search for other commits by this committer
  (1) Move all options-related logic into Makefile.common, so bindings ports
      have proper CONFIGURE_ARGS now and will not fail to build when
      subversion was built with apache's apr
  (2) Bump devel/apr library version to 1.3
  (3) Increase PORTREVISION, of course.
30 Jun 2008 10:00:07
Original commit files touched by this commit  1.5.0_1
 This port version is marked as vulnerable.
lev search for other commits by this committer
  (1) Upgrade subversion to version 1.5.0.
  (2) Make binding ports to be real ports, which installs only bindings and
      depend on subversion.
  (3) Rename bindings ports to reflect perl5/python/ruby modules naming scheme.
  (4) Re-base subversion-freebsd to `devel/subversion'.
  (5) Fix all ports, which depends on subversion bindings.
21 Jun 2008 20:09:38
Original commit files touched by this commit  1.5.0
 This port version is marked as vulnerable.
itetcu search for other commits by this committer
Update to 1.5.0 (identical to rc11).

Submitted by:   peter@
Approved by:    maintainer implicit
15 Jun 2008 22:28:50
Original commit files touched by this commit  1.5.0.r11
 This port version is marked as vulnerable.
itetcu search for other commits by this committer
- Update from 1.5.0-rc7 to -rc11
- fix a client deadlock bug caused by svn_hacks.1.0.diff

Submitted by:   peter@
Approved by:    maintainer implicit
06 Jun 2008 13:21:59
Original commit files touched by this commit  1.5.0.rc7_3
 This port version is marked as vulnerable.
edwin search for other commits by this committer
Bump portrevision due to upgrade of devel/gettext.

The affected ports are the ones with gettext as a run-dependency
according to ports/INDEX-7 (5007 of them) and the ones with USE_GETTEXT
in Makefile (29 of them).

PR:             ports/124340
Submitted by:   edwin@
Approved by:    portmgr (pav)
01 Jun 2008 03:52:03
Original commit files touched by this commit  1.5.0.rc7_2
 This port version is marked as vulnerable.
dougb search for other commits by this committer
When I said "my work" in the previous commit what I should have said was,
"my modifications to lev's devel/subversion port in order to use the
1.5.0 RC and add peter's patches."
01 Jun 2008 03:46:12
Original commit files touched by this commit  1.5.0.rc7_2
 This port version is marked as vulnerable.
dougb search for other commits by this committer
First, FWIW the ports that were originally committed to subversion-devel
and subversion-freebsd were my work. rodrigc did great work on the
www/serf port which subversion 1.5.0 can use if it's enabled.

These changes actually accomplish what peter asked for, a subversion-devel
that is a generic port of the 1.5.0 release candidate, and a -freebsd
version that is a slave to that port, to add some custom hacks that are
necessary only for accessing the FreeBSD Project repository.

So in the process, update COMMENTs, pkg-descrs, etc. to suit, and remove
the majority of the stuff from the -freebsd version since those things
are not needed for the slave port. Also make conditional those things
in the -devel port that need to be conditional in the master, and update
the definitions and defaultedness of the neon and serf OPTIONS.

It is intended that when devel/subversion is updated to 1.5.x that the
-freebsd port be pointed in that direction. Also, lev has volunteered to
maintain this stuff in the long term, I'm simply helping out right now
so that we can get it off the ground.
01 Jun 2008 00:40:32
Original commit files touched by this commit  1.5.0.rc7_1
 This port version is marked as vulnerable.
edwin search for other commits by this committer
For now, enable dependency on www/neon26 by default
01 Jun 2008 00:31:29
Original commit files touched by this commit  1.5.0.rc7
 This port version is marked as vulnerable.
edwin search for other commits by this committer
subversion-devel and subversion-freebsd ports required

        Subversion is a version control system designed to be as
        similar to cvs(1) as possible, while fixing many outstanding
        problems with cvs(1).

        This version adds patches that at this time are specific
        to the needs of the FreeBSD Project src repository.  If you
        do not need to access that repository you will want to use
        devel/subversion.

        WWW: http://subversion.tigris.org/

PR:             ports/124060
Submitted by:   Craig Rodrigues <rodrigc@crodrigues.org>
01 Jun 2008 00:26:15
Original commit files touched by this commit  1.4.6_1
 This port version is marked as vulnerable.
edwin search for other commits by this committer
Forced commit to let the world know about the repocopy of
devel/subversion to devel/subversion-freebsd

Number of commits found: 26

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD

This site
What is FreshPorts?
About the authors
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
otrsDec 16
mod_dav_svnDec 15
subversionDec 15
subversion16Dec 15
subversion17Dec 15
nvidia-driverDec 14
nvidia-driver-173Dec 14
nvidia-driver-304Dec 14
nvidia-driver-71Dec 14
nvidia-driver-96Dec 14
asterisk11Dec 11
bind99Dec 11
xorg-serverDec 10
unboundDec 09
freetype2Dec 07

11 vulnerabilities affecting 47 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds


Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 24437
Broken 139
Deprecated 70
Ignore 394
Forbidden 3
Restricted 206
No CDROM 93
Vulnerable 22
Expired 0
Set to expire 65
Interactive 0
new 24 hours 0
new 48 hours2
new 7 days29
new fortnight54
new month244

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2014 Dan Langille. All rights reserved.